libzypp 17.37.10

Url.cc File Reference
`#include <zypp-core/Url.h>`
`#include <zypp-core/Pathname.h>`
`#include <zypp-core/base/Gettext.h>`
`#include <zypp-core/base/String.h>`
`#include <zypp-core/base/Regex.h>`
`#include <stdexcept>`
`#include <iostream>`
`#include <utility>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::hotfix1050625

## Macros
#define | RX_SPLIT_URL

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const Url &url)
bool | zypp::operator< (const Url &lhs, const Url &rhs) ZYPP_API
| needed for std::set
bool | zypp::operator== (const Url &lhs, const Url &rhs) ZYPP_API
| needed for find
bool | zypp::operator!= (const Url &lhs, const Url &rhs)
std::string | zypp::hotfix1050625::asString (const Url &url_r)

## Macro Definition Documentation

## ◆ RX_SPLIT_URL

#define RX_SPLIT_URL

Value:
"^([^:/?#]+:|)" \
"(//[^/?#]*|)" \
"([^?#]*)" \
"([?][^#]*|)" \
"(#.*|)"

Definition at line 35 of file Url.cc.